Loading...
Searching...
No Matches
volk_32f_sincos_32f_x2.h File Reference
`#include <inttypes.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_sincos_32f_x2_u_H

## Functions

static void | volk_32f_sincos_32f_x2_generic (float *sinVector, float *cosVector, const float *inVector, unsigned int num_points)
static void | volk_32f_sincos_32f_x2_polynomial (float *sinVector, float *cosVector, const float *inVector, unsigned int num_points)
static void | volk_32f_sincos_32f_x2_neon (float *sinVector, float *cosVector, const float *inVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_sincos_32f_x2_u_H

#define INCLUDED_volk_32f_sincos_32f_x2_u_H

## Function Documentation

## volk_32f_sincos_32f_x2_generic()

void volk_32f_sincos_32f_x2_generic | ( | float * | sinVector,
|  | float * | cosVector,
|  | const float * | inVector,
|  | unsigned int | num_points )

inline static

## volk_32f_sincos_32f_x2_neon()

void volk_32f_sincos_32f_x2_neon | ( | float * | sinVector,
|  | float * | cosVector,
|  | const float * | inVector,
|  | unsigned int | num_points )

inline static

## volk_32f_sincos_32f_x2_polynomial()

void volk_32f_sincos_32f_x2_polynomial | ( | float * | sinVector,
|  | float * | cosVector,
|  | const float * | inVector,
|  | unsigned int | num_points )

inline static